Backing up and restoring data

Backup is a graphical program that you can use to back up and restore user data.

  • Before backing up data, see Checklists.
  • For tips on backing up and restoring data, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklists

  • Checklist: Backing up data
  • Checklist: Restoring data


Checklist: Backing up data

Step | Reference
Review key concepts and prepare to back up data. | Concepts
Verify that you are logged on as a member of the Backup Operators group or Administrator group. | To add a user to the Backup Operators group
Verify that you can connect to all shared folders on other computers that need to be backed up. Note: you cannot back up another computer's registry, or other domain controllers. |
If you are using an external storage device, verify that it is on the hardware compatibility list. Make sure it is cabled directly to the computer performing the backup and that the computer is turned on. | Hardware compatibility list, at the Microsoft Web site (http://www.microsoft.com/)
Insert the required tape into the tape drive. If backing up to a disk drive, verify there is enough available space. |
If you are backing up to a media pool, verify Remote Storage is running. | To set up Remote Storage
If you are scheduling a backup operation, verify that Scheduled Tasks is running. | Using Scheduled Tasks
If you perform backup during working hours, ask users to close any files that you are going to back up or restore. |
To back up files automatically, use the backup wizard. | To back up files with the backup wizard
To back up files manually, create a backup job from the Backup tab. | To back up files to a file or a tape
To back up files automatically, schedule a backup. | To schedule a backup


Checklist: Restoring data

Step | Reference
Verify that you are logged on as a member of the Backup Operators or Administrator groups. | To add a user to the Backup Operators group
Verify that you can connect to all shared folders on other computers that need to restored. |
Insert the required tape into the tape drive. |
If you are restoring from a media pool, verify that Remote Storage is running. | To set up Remote Storage
If you are restoring the System State, start the server in directory service restore mode. | To start Windows 2000 in safe mode, and click Directory Service Restore Mode
To restore files automatically, use the restore wizard. | To restore files with the restore wizard
To restore files manually, click the Restore tab to select files to restore. | To restore files from a file or a tape


Best practices

  • Developing backup and restore strategies and testing them
    A good plan ensures that you can quickly recover your data if it is lost.
  • Training appropriate personnel
    In minimum-security and medium-security networks, grant backup rights to one user and restore rights to a different user. Train personnel with restore rights to perform all of the restore tasks if the administrator is unavailable.

    In a high-security network, only administrators should restore files.

  • Backing up the whole volume
    Back up an entire volume to prepare for the unlikely event of a disk failure. It is more efficient to restore the entire volume in one operation.
  • Backing up directory services
    Always back up the directory services database on a domain controller to prevent the loss of user account and security information.
  • Creating a backup log
    Always create and print a backup log for each backup. Keep a book of logs to make it easier to locate specific files. The backup log is helpful when restoring data; you can print it or read it from any text editor. Also, if the tape containing the backup set catalog is corrupted, the printed log can help you locate a file.
  • Retaining copies
    Keep three copies of the media. Keep at least one copy offsite in a properly controlled environment.
  • Performing trial restorations
    Perform a trial restoration periodically to verify that your files were properly backed up. A trial restoration can uncover hardware problems that do not show up with software verifications.
  • Securing devices and media
    Secure both the storage device and the backup media. It is possible for someone to access the data from a stolen medium by restoring the data to another server for which they are an administrator.


How to...

  • Back up data
  • Restore data
  • Set Backup options
  • Maintain media
  • Add backup operators and set user rights
  • Perform system repair and recovery


Back up data

  • Back up files to a file or a tape
  • Back up System State data
  • Back up files with the backup wizard
  • Schedule a backup
  • Back up files on a Microsoft Exchange server


Back up files to a file or a tape

To back up files to a file or a tape

  2. Click the Backup tab, and then on the Job menu, click New.
  3. Select the files and folders you want to back up by clicking the box to the left of a file or folder in Click to select the check box for any drive, folder, or file that you want to back up.
  4. In Backup destination, do one of the following:
    • Choose File if you want to back up files and folders to a file. If you do not have a tape device installed on your computer, this is selected by default.
    • Choose a tape device if you want to back up files and folders to a tape.
  5. In Backup media or file name, do one of the following:
    • If you are backing up files and folders to a file, type a path and file name for the backup (.bkf) file, or click the Browse button to find a file.
    • If you are backing up files and folders to a tape, choose the tape you want to use.
  6. Select any backup options you want, such as the backup type and the log file type, by clicking the Tools menu, and then clicking Options. When you have finished selecting backup options, click OK.
  7. Click Start Backup, and then make any changes to the Backup Job Information dialog box.
  8. If you want to set advanced backup options such as data verification or hardware compression, click Advanced. When you have finished setting advanced backup options, click OK.
  9. Click Start Backup to start the backup operation.

Important

  • You can use Backup to back up and restore data on either FAT or NTFS volumes. However, if you have backed up data from an NTFS volume used in Windows 2000 it is recommended that you restore the data to an NTFS volume used in Windows 2000, or you could lose data as well as some file and folder features. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in Windows 2000 and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information on permissions or user rights, see Related Topics.
  • You can also use the Backup wizard to back up files by clicking Backup Wizard on the Tools menu.
  • If you are backing up files to a tape, and the Backup program indicates that there is no unused media available, you may have to use Removable Storage to add your tape to the Backup media pool. For more information on Removable Storage, see Related Topics.
  • If you want to back up the System State data, which includes such things as the registry and the Active Directory directory service database, you must select System State in Click to select the check box for any drive, folder, or file that you want to back up.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • Backup files usually have the extension .bkf, although you can use any extension you like.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.
  • If you are using Removable Storage to manage media, or you are using Remote Storage to store data, then you should regularly back up the files that are in the following folders:

    Systemroot\System32\Ntmsdata

    Systemroot\System32\Remotestorage

    This will ensure that all Removable Storage and Remote Storage data can be restored.

Related Topics


Back up System State data

To back up System State data

  2. Click the Backup tab, and then in Click to select the check box for any drive, folder, or file that you want to back up click the box next to System State. This will back up the System State data along with any other data you have selected for the current backup operation.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information on permissions or user rights, see Related Topics.
  • You can also use the Backup wizard to back up the System State data by clicking Backup Wizard on the Tools menu.
  • If you are backing up the System State data to a tape, and the Backup program indicates that there is no unused media available, you may have to use Removable Storage to add your tape to the Backup media pool so Backup can use it. For more information on Removable Storage, see Related Topics.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • When you back up the System State data, a copy of your registry files is also saved in the systemroot/repair/regback folder. If your registry files become corrupt or are accidentally erased, you can use these files to repair your registry without performing a full restore of the System State data. This method of repairing the registry is only recommended for advanced users.


Back up files with the backup wizard

To back up files with the backup wizard

  2. On the Welcome tab, click Backup Wizard to start the backup wizard.

    3. Follow the wizard instructions to select what to back up, where to back up to, and which optional advanced backup features you want.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information on access permissions or user rights, see Related Topics.


Schedule a backup

To schedule a backup

  2. Click the Backup tab, and then on the Job menu, click New.
  3. Select the files and folders you want to back up by clicking the box to the left of a file or folder under Click to select the check box for any drive, folder or file that you want to back up.
  4. Select File or a tape device in Backup destination, and then save the file and folder selections by clicking the Job menu, and then clicking Save Selections.
  5. In Backup media or file name, type a path and file name for the backup file, or select a tape.
  6. Select any backup options you want, such as the backup type and the log file type, by clicking the Tools menu, and then clicking Options. When you have finished selecting backup options, click OK.
  7. Click Start Backup and make any changes you want to the Backup Job Information dialog box.
  8. If you want to set advanced backup options such as data verification or hardware compression, click Advanced. When you have finished selecting advanced backup options, click OK.
  9. Click Schedule in the Backup Job Information dialog box.
  10. In the Set Account Information dialog box, enter the user name and password that you want the scheduled backup to run under.
  11. In the Scheduled Job Options dialog box, in Job name, type a name for the scheduled backup job, and then click Properties to set the date, time, and frequency parameters for the scheduled backup. When you have finished, click OK, and then click OK again.

Important

  • You can use Backup to back up and restore data on either FAT or NTFS volumes. However, if you have backed up data from an NTFS volume used in Windows 2000, it is recommended that you restore the data to an NTFS volume used in Windows 2000, or you could lose data as well as some file and folder features. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in Windows 2000 and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information on permissions or user rights, see Related Topics.
  • If you are scheduling a tape backup, you may have to use Removable Storage to make sure that your tape is available in the Backup media pool. For more information on Removable Storage, see Related Topics.
  • You must have the Task Scheduler service running before you can schedule a backup. To do this, open the command prompt window and type net start schedule. You can also use Services in Computer Management to start, stop, and view the status of services.
  • If you want to back up your System State data, which includes such things as the registry and Active Directory directory service, you must select System State in Click to select the check box for any drive, folder, or file that you want to back up.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • In the Scheduled Job Options dialog box, you can delete a scheduled backup from the Task Scheduler by clicking Delete.
  • You can change the settings of a scheduled backup job after you schedule it by clicking the Schedule Jobs tab and then clicking the backup icon that is displayed on the calendar.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.
  • If you are using Removable Storage to manage media, or you are using Remote Storage to store data, then you should regularly back up the files that are in the following folders:

    Systemroot\System32\Ntmsdata

    Systemroot\System32\Remotestorage

    This will ensure that all Removable and Remote Storage data can be restored.


Back up files on a Microsoft Exchange Server

To back up files on a Microsoft Exchange Server

  2. On the Backup tab, in Click to select the check box for any drive, folder, or file that you want to back up, click the box next to the Microsoft Exchange icon.
  3. In Server, type the name of the Microsoft Exchange Server that you want to back up. The name must begin with two backslashes (for example, \\London).
  4. Click Connect to Organization, and then click OK.

Important

  • You can use Backup to back up and restore data on either FAT or NTFS volumes. However, if you have backed up data from an NTFS volume used in Windows 2000 it is recommended that you restore the data to an NTFS volume used in Windows 2000, or you could lose data as well as some file and folder features. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in Windows 2000 and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information on permissions or user rights, see Related Topics.
  • This procedure and the accompanying notes are applicable to Microsoft Exchange version 5.5 and earlier.
  • If you are backing up files to a tape, and the Backup program indicates that there is no unused media available, you may have to use Removable Storage to add your tape to the backup media pool. For more information on Removable Storage, see Related Topics.
  • When you restore data to a Microsoft Exchange Server, the Information Store service and Directory service are stopped. To start the services after the restore is complete, on the Tools menu, click Microsoft Exchange, click Start Service, select Directory or Information Store, and then click OK


Restore data

  • Restore files from a file or a tape
  • Restore System State data
  • Restore files with the restore wizard
  • Restore files to a Microsoft Exchange server


Restore files from a file or a tape

To restore files from a file or a tape

  2. On the Restore tab, in Click to select the check box for any drive, folder, or file that you want to restore, select the files and folders you want to restore by clicking the box to the left of a file or folder.
  3. In Restore files to, do one of the following:
    • Click Original location if you want the backed up files and folders to be restored to the folder or folders they were in when they were backed up. Skip to step 5.
    • Click Alternate location if you want the backed up files and folders to be restored to a folder that you designate. This option will preserve the folder structure of the backed up data; all folders and subfolders will appear in the alternate folder you designate.
    • Click Single folder if you want the backed up files and folders to be restored to a folder that you designate. This option will not preserve the folder structure of the backed up data; the files will appear only in the folder that you designate.
  4. If you selected Alternate location or Single folder, type a path for the folder under Alternate location, or click the Browse button to find the folder.
  5. On the Tools menu, click Options, click the Restore tab, and then do one of the following:
    • Click Do not replace the file on my computer if you do not want the restore operation to copy over files that are already on your hard disk.
    • Click Replace the file on disk only if the file on disk is older if you want the restore operation to replace older files on your disk with newer files from your backup.
    • Click Always replace the file on my computer if you want the restore operation to replace files on your disk regardless of whether the backup files are newer or older.
    • Click OK to accept the restore options you have set.
  6. Click Start Restore.
  7. If you want to change any of the advanced restore options, such as restoring security settings, the Removable Storage database, and junction point data, click Advanced. When you are done setting advanced restore options click OK.
  8. Click OK to start the restore operation.

Caution

  • If you are restoring the System State data, and you do not designate an alternate location for the restored data, Backup will erase the System State data that is currently on your computer and replace it with the System State data you are restoring. Also, if you restore the System State data to an alternate location, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database and COM+ Class Registration database are not restored if you designate an alternate location.
  • Choosing Replace the file on disk only if the file on disk is older could change some or all of the files that are currently on your disk.
  • Choosing Always replace the file on my computer could cause you to lose data if a file you are working on is contained in the backup.
  • You can use Backup to back up and restore data on either FAT or NTFS volumes. However, if you have backed up data from an NTFS volume used in Windows 2000 it is recommended that you restore the data to an NTFS volume used in Windows 2000, or you could lose data as well as some file and folder features. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in Windows 2000 and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.

Notes

  • You must be an administrator or a backup operator to restore files and folders. For more information on permissions or user rights, see Related Topics.
  • If you are restoring data from a tape, you should update the on-disk catalog for the tape before you perform the restore operation. For more information on updating a catalog, see Related Topics.
  • You can also use the Restore wizard to restore files by clicking Restore Wizard on the Tools menu.
  • In order to restore the System State data on a domain controller, you must first start your computer in Directory Services Restore Mode. This will allow you to restore the SYSVOL directory and the Active Directory directory service database.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.


Restore System State data

To restore System State data

  2. Click the Restore tab, and then in Click to select the check box for any drive, folder, or file that you want to restore, click the box next to System State. This will restore the System State data along with any other data you have selected for the current restore operation.

Caution

  • If you restore the System State data, and you do not designate an alternate location for the restored data, Backup will erase the System State data that is currently on your computer and replace it with the System State data you are restoring. Also, if you restore the System State data to an alternate location, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database, and COM+ Class Registration database are not restored if you designate an alternate location.

Notes

  • You must be an administrator or a backup operator to restore files and folders. For more information on permissions or user rights, see Related Topics.
  • If you are restoring data from a tape, you should update the on-disk catalog for the tape before you perform the restore operation. For more information on updating a catalog, see Related Topics.
  • You can also use the Restore wizard to restore the System State data by clicking Restore Wizard on the Tools menu.
  • If you are restoring the System State data to a domain controller, you must choose whether you want to perform an authoritative restore or a nonauthoritative restore. The default method of restoring the System State data to a domain controller is nonauthoritative. In this mode, any component of the System State that is replicated with another domain controller, such as the Active Directory directory service or the File Replication service (including the SYSVOL directory), will be brought up to date by replication after you restore the data. For example, if the last backup was performed a week ago, and the System State is restored using the default restore method (nonauthoritative), any changes made subsequent to the backup operation will be replicated from the domain controllers.

    In some cases, you may not want to replicate the changes that have been made subsequent to the last backup operation. In other words, there may be instances where you want all replicas to have the same state as the backed up data. To achieve this state, you must perform an authoritative restore.

    For example, you have to perform an authoritative restore if you inadvertently delete users, groups, or organizational units from the Active Directory directory service, and you want to restore the system so that the deleted objects are recovered and replicated. To do this, you need to run the Ntdsutil utility after you have restored the data but before you restart the domain controller. This utility lets you mark objects as authoritative, which will ensure that any replicated or distributed data that you have restored is properly replicated or distributed throughout your organization. The Ntdsutil command line utility can be run from the command prompt. Help for the Ntdsutil utility can also be found at the command prompt by typing ntdsutil /?.

  • In order to restore the System State data on a domain controller, you must first start your computer in a special safe mode called directory services restore mode. This will allow you to restore the SYSVOL directory and Active Directory directory service database. For more information on starting your computer in safe mode, see Related Topics.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.


Restore files with the restore wizard

To restore files with the restore wizard

  2. On the Welcome tab, click Restore Wizard to start the restore wizard.
  3. Follow the wizard instructions to select what to restore, where to restore to, and which optional advanced restore features you want.

Notes

  • You must be an administrator or a backup operator to restore files and folders. For more information on access permissions or user rights, see Related Topics.


Restore files to a Microsoft Exchange Server

To restore files to a Microsoft Exchange Server

  2. On the Restore tab, in Click to select the check box for any drive, folder, or file that you want to restore, select the Microsoft Exchange data you want to restore.
    3. Click Start Restore.

    The Restoring Microsoft Exchange dialog box will appear.

  3. If you are restoring Information Store data, type the name of the server to which you are restoring data in Restore to.

    4. Note

    • If you designate a server that is different from the original server the data was backed up from, you must also choose Erase all existing data.
  4. Choose any other options you want, and then click OK.

Important

  • You can use Backup to back up and restore data on either FAT or NTFS volumes. However, if you have backed up data from an NTFS volume used in Windows 2000 it is recommended that you restore the data to an NTFS volume used in Windows 2000, or you could lose data as well as some file and folder features. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in Windows 2000 and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.

Notes

  • You must be an administrator or a backup operator to restore files and folders. For more information on permissions or user rights, see Related Topics.
  • If you are restoring data from a tape, you should update the on-disk catalog for the tape before you perform the restore operation. For more information on updating a catalog, see Related Topics.
  • This procedure and the accompanying notes are applicable to Microsoft Exchange version 5.5 and earlier.
  • When you restore data to a Microsoft Exchange Server, the Information Store service and Directory service are stopped. To start the services after the restore is complete, on the Tools menu, click Microsoft Exchange, click Start Service, select Directory or Information Store, and then click OK.


Set Backup options

  • Set backup options
  • Set the backup type
  • Exclude file types from a backup
  • Set advanced backup options
  • Set restore options
  • Set advanced restore options


Set backup options

To set backup options

  2. On the Tools menu click Options.
  3. On the General tab, set the options you want.

Notes

  • Choosing Compute selection information before backup and restore operations estimates the number of files and bytes that will be backed up or restored during the current backup or restore operation. This information will be calculated and displayed before the backup or restore begins.
  • Choosing Use the catalogs on the media to speed up building restore catalogs on disk indicates that you want to use the on-media catalog to build the on-disk catalog for restore selections. This is the fastest way to build an on-disk catalog. However, if you want to restore data from several tapes, and the tape with the on-media catalog is missing, or you want to restore data from media that is damaged, you should not select this option. Backup will then scan your entire backup set (or as much of it as you have), and build an on-disk catalog. This could take several hours if your backup set is very large.
  • Choosing Verify data after the backup completes checks the backed-up data and the original data on your hard disk to be sure that the data is the same. If it is not, there may be a problem with the media or the file you are using to back up data. If this occurs, you should use different media or designate another file, and you should run the backup operation again.
  • Choosing Back up the contents of mounted drives backs up the data that is on a mounted drive. If you select this option, and you back up a mounted drive, the data that is on the mounted drive will be backed up. If you do not select this option, and you back up a mounted drive, only the path information for the mounted drive will be backed up.
  • Choosing Show alert message when I start Backup and Removable Storage is not running displays a dialog box when you start Backup and Removable Storage is not running. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, you do not need to check this box. If you primarily back up data to a tape, or other media that is managed by Removable Storage, you should check this box.
  • Choosing Show alert message when I start Backup and there is compatible import media available displays a dialog box when you start Backup and there is new media available in the Import media pool. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, you do not need to check this box. If you primarily back up data to a tape, or other media that is managed by Removable Storage, you should check this box. For more information on media pools and Removable Storage, see Related Topics.
  • Choosing Show alert message when new media is inserted into Removable Storage displays a dialog box when new media is detected by Removable Storage. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, you do not need to check this box. If you primarily back up data to a tape, or other media that is managed by Removable Storage, you should check this box.
  • Choosing Always move new import media to Backup pools automatically moves new media that is detected by Removable Storage to the Backup media pool. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, you do not need to check this box. If you use Removable Storage to manage your media, and you want all new media to be available to the Backup program only, you should check this box.


Set the backup type

To set the backup type

  2. On the Tools menu, click Options.
  3. On the Backup Type tab, in Default Backup Type, select the type of backup you want to perform.

Notes

  • There are five backup types: copy, daily, differential, incremental, and normal. For more information on these backup types, see Related Topics.


Exclude file types from a backup

To exclude file types from a backup

  2. On the Tools menu, click Options.
  3. On the Exclude Files tab, do one of the following:
    • Click Add new under the Files excluded for all users list if you want to exclude files that are owned by all users.
    • Click Add new under the Files excluded for user list if you want to exclude only files that you own.
  4. In the Add Excluded Files dialog box, do one of the following:
    • If you want to exclude a registered file type, click the file type in Registered file type.
    • If you want to exclude a custom file type, enter a period and then the one, two, or three letter file extension in Custom file mask.
  5. Type a path in Applies to path if you want to restrict the excluded file type to a specific folder or hard disk drive, and then click OK.

Notes

  • If you restrict excluded files to a specific path (folder), the files will be restricted from all subfolders of that path unless you clear the Applies to all subfolders check box.
  • You can change how a file is excluded from a backup set by clicking the file in Files excluded for all users or Files excluded for user, and then clicking Edit. The Add Excluded Files dialog box should appear.


Set advanced backup options

To set advanced backup options

  2. Click the Backup tab and select the files and folders you want to back up.
  3. Click Start Backup.
  4. On the Backup Job Information dialog box, click Advanced.
  5. Set the advanced backup options you want, and then click OK. See the Notes section for a description of each option.

Notes

  • Choosing Back up data that is in Remote Storage backs up data that has been designated for Remote Storage. If you select this option, Remote Storage placeholder files are backed up. If you do not select this option, Remote Storage placeholder files are not backed up. You can restore Remote Storage data only to an NTFS volume that is used in Windows 2000.
  • Choosing Verify data after backup verifies that the backed-up data is exactly the same as the original data. This could substantially increase the time it takes to perform a backup.
  • Choosing If possible, compress the backup data to save space compresses the data you are backing up so you can save more data on a tape. Usually, only tape drives have the ability to compress data. If this option is disabled, you do not have a tape drive on your computer or your tape drive cannot compress data.
  • Choosing Automatically back up system protected files with the System State backs up all of the system files that are in your systemroot directory in addition to the boot files that are included with the System State data. This option will substantially increase the size of your backup job. For example, if you choose this option on Windows 2000 Professional, it will add over 200 megabytes to the size of your backup job.
  • Choosing a backup type in Backup Type determines how your data is backed up. Backup types include: copy, daily, differential, incremental, and normal.


Set restore options

To set restore options

  2. On the Tools menu, click Options.
  3. On the Restore tab, do one of the following:
    • Click Do not replace the file on my computer if you do not want the restore operation to copy over files that are already on your disk.
    • Click Replace the file on disk only if the file on disk is older if you want the restore operation to replace older files on your disk with newer files from your backup.
    • Click Always replace the file on my computer if you want the restore operation to replace files on your disk regardless whether the backup files are newer or older.

Important

  • Choosing Replace the file on disk only if the file on disk is older could change some or all of the files that are currently on your disk.
  • Choosing Always replace the file on my computer could cause you to lose data if a file you are working on is contained in the backup.

Note


Set advanced restore options

To set advanced restore options

  2. Click the Restore tab and select the files and folders you want to restore.
  3. Click Start Restore.
  4. On the Confirm Restore dialog box, click Advanced.
  5. Set the advanced restore options you want, and then click OK. See the Notes section for a description of each option.

Notes

  • Choosing Restore security will restore security settings for each file and folder. Security settings include permissions, audit entries, and ownership. This option is available only if you have backed up data from an NTFS volume used in Windows 2000 and you are restoring it to an NTFS volume used in Windows 2000.
  • Choosing Restore Removable Storage database will restore the Removable Storage database, which is stored in Systemroot\System32\Ntmsdata. If you are not using Removable Storage to manage storage media, you do not need to select this option. Also, this will delete your existing Removable Storage database.
  • Choosing Restore junction points, and restore file and folder data under junction points to the original location restores junction points on your hard disk as well as the data that the junction points point to. If you do not select this check box, the junction points will be restored but the data your junction points point to may not be accessible. Also, if you are restoring a mounted drive, and you want to restore the data that is on the mounted drive, you must select this check box. If you do not select this check box, you will only restore the folder containing the mounted drive.
  • Choosing When restoring replicated data sets, mark the restored data as the primary data for all replicas ensures that restored File Replication service (FRS) data is replicated to your other servers. If you are restoring FRS data, you should choose this option. If you do not choose this option, the FRS data that you are restoring may not be replicated to other servers because the restored data will appear to be older than the data already on the servers. This will cause the other servers to overwrite the restored data, thereby preventing you from restoring the FRS data.
  • Choosing Preserve existing volume mount points will prevent the restore operation from writing over any volume mount points you have created on the partition or volume you are restoring data to. This option is primarily applicable when you are restoring data to an entire drive or partition. For example, if you are restoring data to a replacement drive, and you have partitioned and formatted the drive and restored volume mount points, you should select this option so your volume mount points are not restored. If you are restoring data to a partition or drive that you have just reformatted, and you want to restore the old volume mount points, you should not select this option.


Maintain media

  • Format a tape
  • Retension a tape
  • Erase a tape
  • Delete a catalog
  • Update a catalog


Format a tape

To format a tape

  2. On the Restore tab, right-click the tape you want to format.
  3. Click Format.

Notes

  • This procedure is only applicable if you have a DC-2000-type tape drive, which requires that you format a tape before you use it.


Retension a tape

To retension a tape

  2. On the Restore tab, click the tape you want to retension.
  3. On the Tools menu, click Media Tools, and then click Retension.

Notes

  • You can also access the Retension command by right-clicking a tape on the Restore tab.


Erase a tape

To erase a tape

  2. On the Restore tab, click the tape you want to erase.
  3. On the Tools menu, click Media Tools, and then click Erase.

Notes

  • You can only erase a tape if it is in the tape drive or in a loader slot of a tape change.
  • Erasing a tape moves the tape from the backup media pool to the free media pool.
  • You can also use Removable Storage to erase a tape.
  • You can also access the Erase command by right-clicking a tape on the Restore tab.


Delete a catalog

To delete a catalog

  2. On the Restore tab, right-click the backup set that contains the catalog you want to delete.
  3. Click Delete catalog if the backup set has been saved to a file, or click Delete from system if the backup set has been saved to a tape.

Notes

  • This procedure should only be used if you have a damaged or lost tape or file, and you want to delete it from the on-disk catalog.
  • If you are deleting a catalog for a tape, this procedure will only work if the tape is not in the tape drive or it is not in a tape loader slot.
  • If you click Delete catalog, this procedure will delete the on-disk catalog for the selected backup set. It will not delete the backup file.
  • If you click Delete from system, this procedure will delete the on-disk catalog for the selected backup set and it will delete the tape from the Removable Storage database. It will not delete the on-media catalog that is on the tape.
  • You can restore a catalog for a file or a tape by clicking the Restore tab, right-clicking File or the tape you want to catalog, and then clicking Catalog file or Catalog. For more information on creating a catalog, see Related Topics.


Update a catalog

To update a catalog

  2. On the Restore tab, right-click the media containing the backup set you want to catalog.
  3. Click Catalog.

Notes

  • This procedure creates an on-disk catalog. It does not create an on-media catalog.
  • If you are creating a catalog of a backup set that is saved on a tape, you should do one of the following before you perform this procedure:
    • If you have all of the tapes in the backup set, and the tapes are not damaged or corrupted, click the Tools menu, click Options, click the General tab, and then make sure the Use the catalogs on the media to speed up building restore catalogs on disk check box is checked. This will speed up the cataloging process.
    • If you are missing a tape in the backup set, or a tape is damaged or corrupted, click the Tools menu, click Options, click the General tab, and then make sure the Use the catalogs on the media to speed up building restore catalogs on disk check box is cleared. This will ensure that the catalog is complete and accurate; however, it could take a long time to create the catalog.


Add backup operators and set user rights

  • Add a user to the Backup Operators group
  • Add a user to the Backup Operators group on a domain controller


Add a user to the Backup Operators group

To add a user to the Backup Operators group

  1. Open Computer Management.
  2. In the console tree, click Local Users and Groups.
  3. In the details pane double-click Groups, and then double-click Backup Operators.
  4. On the Backup Operators Properties dialog box, click Add.
  5. On the Select Users or Groups dialog box, next to Name, type the domain and user name of the person you want to make a backup operator. Type the domain name first, then a backslash, then the user name. For example, \\London\William.
  6. Click Add, and then click OK.

Important

  • To add a user to the Operators Group on a domain controller you must use Active Directory Users and Computers. For more information, see Related Topics.

Notes

  • You must be a member of the Administrators group to designate users as Backup Operators.
  • To open Computer Management, click Start, point to Settings, and click Control Panel. In the Control Panel dialog box, double-click Administrative Tools and then double-click Computer Management.


Add a user to the Backup Operators group on a domain controller

To add a user to the Backup Operators group on a domain controller

  1. Open Active Directory Users and Computers.
  2. In the console tree, double-click the domain node.
  3. In the details pane, double-click the Builtin folder, right-click Backup Operators, and then click Properties.
  4. Click the Members tab, and then double-click the group you want to add a member to.
  5. On the Member Of tab, select the name of the member you want to add to the group, and then click Add.
  6. At the top of the pane, click the Look in arrow to display a list of domains from which users and computers can be added to the group, and then click the domain containing the users and computers you want to add.
  7. Click the users to be added, click Add, and then click OK.

Note


Perform system repair and recovery

  • Install the Recovery Console as a startup option
  • Delete the Recovery Console
  • Run the Recovery Console on a system that will not start
  • Create an Emergency Repair Disk


Concepts

This section provides general background information about the backup and restore capabilities of Windows 2000:

  • Backup overview
  • Understanding Backup
  • Using Backup
  • Resources


Backup overview

The Backup utility helps you protect data from accidental loss if your system experiences hardware or storage media failure. For example, you can use Backup to create a duplicate copy of the data on your hard disk and then archive the data on another storage device such as a hard disk or a tape. If the original data on your hard disk is accidentally erased or overwritten, or becomes inaccessible because of a hard disk malfunction, you can easily restore the data from the archived copy.

Using Backup, you can:

  • Archive selected files and folders on your hard disk.
  • Restore the archived files and folders to your hard disk or any other disk you can access.
  • Create an Emergency Repair Disk (ERD), which helps you repair system files if they get corrupted or are accidentally erased.
  • Make a copy of any Remote Storage data and any data stored in mounted drives.
  • Make a copy of your computer's System State, which includes the registry, the Active Directory database, and the Certificate Services database.
  • Schedule regular backups to keep your archived data up-to-date.

You can use Backup to back up and restore data on either file allocation table (FAT) or NTFS file system volumes. However, if you have backed up data from an NTFS volume used in Windows 2000, it is recommended that you restore the data to an NTFS volume used in Windows 2000. If you do not, you could lose data as well as some file and folder features such as permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information.

For a list of Backup enhancements, see New features.


New features

You can now use the Backup utility to back up files to a wide variety of storage devices in addition to a tape drive. The backup medium can be a logical drive, a removable disk, recordable CD-ROMs, or an entire library of disks or tapes organized into a media pool and controlled by a robotic changer. If you do not have a separate storage device, you can back up to another hard disk or to a floppy disk.

In addition, Backup no longer manages the storage devices and media. Tasks such as mounting and dismounting a tape or disk are now done by a service called Removable Storage, which is an integral part of Windows 2000.

Other enhancements to Backup include:

  • Full user interface with backup and restore wizards, property sheets for media pools, and direct access to My Network Places.
  • Full support for backing up and restoring Windows 2000 System State, which includes the system files, the registry, Component Services, the Active Directory database, file replication service, and the Certificate Services database.
  • Integration with Windows 2000 Task Scheduler for automating backup jobs.
  • Integration with Remote Storage for archiving data.


Understanding Backup

This section covers:

  • Types of backup
  • Permissions and user rights
  • System State data
  • Authoritative restore
  • Repair overview
  • Recovery Console overview


Types of backup

The Backup utility supports five methods of backing up data on your computer or network.

Copy backup

A copy backup copies all selected files but does not mark each file as having been backed up (in other words, the archive attribute is not cleared). Copying is useful if you want to back up files between normal and incremental backups because copying does not affect these other backup operations.

Daily backup

A daily backup copies all selected files that have been modified the day the daily backup is performed. The backed-up files are not marked as having been backed up (in other words, the archive attribute is not cleared).

Differential backup

A differential backup copies files created or changed since the last normal or incremental backup. It does not mark files as having been backed up (in other words, the archive attribute is not cleared). If you are performing a combination of normal and differential backups, restoring files and folders requires that you have the last normal as well as the last differential backup.

Incremental backup

An incremental backup backs up only those files created or changed since the last normal or incremental backup. It marks files as having been backed up (in other words, the archive attribute is cleared). If you use a combination of normal and incremental backups, you will need to have the last normal backup set as well as all incremental backup sets in order to restore your data.

Normal backup

A normal backup copies all selected files and marks each file as having been backed up (in other words, the archive attribute is cleared). With normal backups, you need only the most recent copy of the backup file or tape to restore all of the files. You usually perform a normal backup the first time you create a backup set.

Backing up your data using a combination of normal backups and incremental backups requires the least amount of storage space and is the quickest backup method. However, recovering files can be time-consuming and difficult because the backup set can be stored on several disks or tapes.

Backing up your data using a combination of normal backups and differential backups is more time-consuming, especially if your data changes frequently, but it is easier to restore the data because the backup set is usually stored on only a few disks or tapes.


Permissions and user rights

You must have certain permissions or user rights to back up files and folders. If you are an administrator or a backup operator in a local group, you can back up any file and folder on the local computer to which the local group applies. Likewise, if you are an administrator or backup operator on a domain controller you can back up any file and folder on any computer in the domain or any computer on a domain with which you have a two-way trust relationship (except System State data; see note below). However, if you are not an administrator or a backup operator, and you want to back up files, then you must be the owner of the files and folders you want to back up, or you must have one or more of the following permissions for the files and folders you want to back up: Read, Read and execute, Modify, or Full Control.

You must also be certain that there are no disk quota restrictions that may restrict your access to a hard disk, thereby making it impossible for you to back up data. You can check whether you have any disk quota restrictions by right-clicking the disk you want to save data to, clicking Properties, and then clicking the Quota tab.

You can also restrict access to a backup file by selecting Allow only the owner and the Administrator access to the backup data in the Backup Job Information dialog box. If you select this option, only an administrator or the person who created the backup file will be able to restore the files and folders.

Note

  • You can only back up System State data on a local computer. You can't back up System State data on a remote computer even if you are an administrator or a backup operator on the remote computer.


System State data

You can back up and restore the following system components using Backup:

  • Registry
  • COM+ Class Registration database
  • Boot files, including the system files
  • Certificate Services database
  • Active Directory directory service
  • SYSVOL directory
  • Cluster service information

Backup refers to these system components as the System State data. For Windows 2000 Professional, the System State data comprises only the registry, COM+ Class Registration database, and boot files. For Windows 2000 Server operating systems, the System State data comprises the registry, COM+ Class Registration database, system boot files, and the Certificate Services database (if the server is a certificate server). If the server is a domain controller, Active Directory and the SYSVOL directory are also contained in the System State data. Also, if you are running the domain name service (DNS) on a domain controller, then the Active Directory portion of the System State data also contains all of the DNS zone information (DS integrated and non-DS integrated). Finally, if the server is running the Cluster service, then the System State data will also include any resource registry checkpoints and the quorum resource recovery log, which contains the most recent cluster database information.

When you choose to back up or restore the System State data, all of the System State data that is relevant to your computer is backed up or restored; you cannot choose to back up or restore individual components of the System State data. This is due to dependencies among the System State components. However, you can restore the System State data to an alternate location. If you do this, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database, and COM+ Class Registration database are not restored if you designate an alternate location when you restore the System State data.

Furthermore, if you have more than one domain controller in your organization, and the Active Directory directory service is replicated to any of these other servers, you may have to authoritatively restore any Active Directory data that you want to restore. To do this, you need to run the Ntdsutil utility after you have restored the System State data but before you restart the server on the network. The Ntdsutil utility lets you mark Active Directory objects for authoritative restore. This will ensure that any replicated or distributed data that you restore is properly replicated or distributed throughout your organization.

For example, if you inadvertently delete or modify objects stored in the Active Directory directory service, and those objects are replicated or distributed to other servers, you will need to authoritatively restore those objects so they are replicated or distributed to the other servers. If you do not authoritatively restore the objects, they will never get replicated or distributed to your other servers because they will appear to be older than the objects currently on your other servers. Using the Ntdsutil utility to mark objects for authoritative restore ensures that the data you want to restore gets replicated or distributed throughout your organization. On the other hand, if your system disk has failed or the Active Directory database is corrupted, then you can simply restore the data nonauthoritatively without using the Ntdsutil utility.

The Ntdsutil command line utility can be run from the command prompt. Help for the Ntdsutil utility can also be found at the command prompt by typing ntdsutil /?.

Notes

  • You must have certain permissions or user rights to back up files and folders.
  • In order to restore the System State data on a domain controller, you must first start your computer in directory services restore mode. This will allow you to restore the SYSVOL directory and the Active Directory.
  • You can only back up and restore the System State data on a local computer. You cannot back up and restore the System State data on a remote computer.
  • Although you can't change which components of the System State are backed up, you can back up all of the protected system files with the System State data by setting advanced backup options. For more information, see Related Topics.


Authoritative restore

In Backup, distributed services such as the Active Directory directory service are contained in a collection known as the System State data. When you back up the System State data on a domain controller, you are backing up all Active Directory data that exists on that server (along with other system components such as the SYSVOL directory and the registry). In order to restore these distributed services to that server, you must restore the System State data. However, if you have more than one domain controller in your organization, and your Active Directory is replicated to any of these other servers, you will need to perform what is called an authoritative restore in order to ensure that your restored data gets replicated to all of your servers.

During a normal restore operation, Backup operates in nonauthoritative restore mode. That is, any data that you restore, including Active Directory objects, will have their original update sequence number. The Active Directory replication system uses this number to detect and propagate Active Directory changes among the servers in your organization. Because of this, any data that is restored nonauthoritatively will appear to the Active Directory replication system as though it is old, which means the data will never get replicated to your other servers. Instead, the Active Directory replication system will actually update the restored data with newer data from your other servers. Authoritative restore solves this problem.

To authoritatively restore Active Directory data, you need to run the Ntdsutil utility after you have restored the System State data but before you restart the server. The Ntdsutil utility lets you mark Active Directory objects for authoritative restore. When an object is marked for authoritative restore its update sequence number is changed so that it is higher than any other update sequence number in the Active Directory replication system. This will ensure that any replicated or distributed data that you restore is properly replicated or distributed throughout your organization.

For example, if you inadvertently delete or modify objects stored in the Active Directory directory service, and those objects are replicated or distributed to other servers, you will need to authoritatively restore those objects so they are replicated or distributed to the other servers. If you do not authoritatively restore the objects, they will never get replicated or distributed to your other servers because they will appear to be older than the objects currently on your other servers. Using the Ntdsutil utility to mark objects for authoritative restore ensures that the data you want to restore gets replicated or distributed throughout your organization. On the other hand, if your system disk has failed or the Active Directory database is corrupted, then you can simply restore the data nonauthoritatively without using the Ntdsutil utility.

The Ntdsutil command line utility can be run from the command prompt. Help for the Ntdsutil utility can also be found at the command prompt by typing ntdsutil /?.

Caution

  • When you restore the System State data, and you do not designate an alternate location for the data, Backup will erase the System State data that is currently on your computer and replace it with the System State data you are restoring.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information on permissions or user rights, see Related Topics.
  • In order to restore the System State data on a domain controller, you must first start your computer in directory services restore mode. This will allow you to restore the SYSVOL directory and the Active Directory. For more information on starting your computer in safe mode, see Related Topics.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.


Using Backup

This section covers:

  • Backing up files and folders
  • Using batch files to back up data
  • Command line examples
  • Command line parameters
  • Restoring files and folders
  • Restoring a domain controller
  • Recovery Console commands


Backing up files and folders

Backup lets you back up data to a file or to a tape. When you back up data to a file, you have to designate a file name and a location for the file to be saved. Backup files usually have the extension .bkf, but you can change it to any extension you prefer. A backup file can be saved to a hard disk, a floppy disk, or to any other removable or nonremovable media on which you can save a file.

When you back up data to a tape, you must have a tape device connected to your computer. Also, tapes are managed by Removable Storage. Although Backup works together with Removable Storage, you may have to use Removable Storage to perform certain maintenance tasks, such as preparing and ejecting tapes.

The following four steps describe a simple backup operation:

Select files, folders, and drives for backup

Backup provides you with a tree view of the drives, files, and folders that are on your computer, which you can use to select the files and folders that you want to back up. You can use this tree view the same way you use Windows Explorer to open drives and folders and select files.

Select storage media or file location for backed-up data

Backup provides two options for selecting storage media:

You can back up your data to a file on a storage device. A storage device can be a hard disk, a Zip disk, or any type of removable or nonremovable media to which you can save a file. This option is always available.

You can back up your data to a tape device. This option is available only if you have a tape device installed on your computer. If you back up data to a tape device, the media will be managed by Removable Storage.

Set backup options

Backup provides an Options dialog box, which you can use to customize your backup operations. Using the Options dialog box, you can:

Select the type of backup that you want to do. Backup types include: copy, daily, differential, incremental, and normal.

Select whether you want a log file to record your backup actions. If you select this option, you can also select whether you want a complete log file or summary log file.

Select whether you want to back up data that is stored on mounted drives.

Designate file types that you want to exclude from a backup operation.

Select whether you want to verify that the data was backed up correctly.

Start the backup

When you start a backup operation, Backup will prompt you for information about the backup job and give you the opportunity to set advanced backup options. After you have provided the information or changed your backup options, Backup will start backing up the files and folders you selected.

If you have scheduled the backup to run unattended, you will still be prompted for information about the backup job. However, after you have provided the information, Backup will not start backing up files; rather, it will add the scheduled backup to the Task Scheduler.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information on permissions or user rights, see Related Topics.
  • The registry, the directory service, and other key system components, are contained in the System State data. You must back up the System State data if you want to back up these components.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • You can schedule a backup so that it will run unattended at a specific time or frequency. You can schedule a backup after you click Start Backup.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.
  • If you are using Removable Storage to manage media, or you are using Remote Storage to store data, then you should regularly back up the files that are in the following folders:

    Systemroot\System32\Ntmsdata

    Systemroot\System32\Remotestorage

    This will ensure that all of your Remote Storage and Removable Storage data can be restored.


Using batch files to back up data

You can perform backup operations from batch files using the ntbackup command followed by various command line parameters. However, there are two important limitations to using batch files to back up your data:

  • Using the ntbackup command, you can back up entire folders only. You cannot designate individual files for backup. However, you can designate a backup selection file (.bks file) from the command line, which contains a list of files you want to back up. You must use the GUI version of the Backup utility to create backup selection files.
  • The ntbackup command does not support the use of wildcard characters. For example, typing *.txt will not back up files with a .txt extension.


Command line examples

The following examples show how to use the ntbackup command to back up files and folders from the command line or by using a batch file.

Example 1:

ntbackup backup \\iggy-multi\c$ /m normal /j "My Job 1" /p "Backup" /n "Command Line Backup 1" /d "Command Line Functionality" /v:yes /r:no /l:s /rs:no /hc:on

This example will perform a normal backup named "My Job 1" of the remote share \\iggy-multi\c$. It will pull a tape from the Backup media pool, and name the tape "Command Line Backup 1." The description of the backup job will be "Command Line Functionality." The backup will be verified once the backup job is complete, access will not be restricted to the owner/administrator, the logging level will be set to summary only, Remote Storage data will not be backed up, and hardware compression will be enabled.

Example 2:

ntbackup backup d:\ /j "My Job 2" /a /t "Command Line Backup 1" /m copy

This example will perform a copy backup named "My Job 2" of the local drive D:\. The backed up files and folders will be appended to the tape named "Command Line Backup 1." All other options will default to those specified in the Backup program.

Example 3:

ntbackup backup "@C:\Program Files\Windows NT\ntbackup\data\commandline.bks" /j "My Job 3" /t "Command Line Backup 1" /n "Command Line Backup 2"

This example will perform a backup using the backup type that is specified in the Backup program. It will use the backup selection file named Commandline.bks, located in the C:\Program Files\Windows NT\ntbackup\data\ directory to choose which files to backup. The backup job will be named "My Job 3" and it will overwrite the tape named "Command Line Backup 1" with the new name "Command Line Backup 2."

Example 4:

ntbackup backup \\iggy-multi\d$ /j "Command Line Backup 4" /f "D:\backup.bkf"

ntbackup backup \\iggy-multi\d$ /j "Command Line Backup 5" /f "D:\backup.bkf" /a

ntbackup backup \\iggy-multi\d$ /j "Command Line Backup 6" /f "D:\backup.bkf"

The above examples show how to perform a backup to a file from the command line. All three examples use the Backup program's default values for the backup type, verification setting, logging level, hardware compression, and any other restrictions. The first example shows how to backup \\iggy-multi\d$ to the file D:\Backup.bkf. The second example shows how to append the same backup to the same file. The third example shows how to overwrite the file with the same backup. In all three examples a complete UNC name could be substituted for the drive letter (that is, instead of d:\backup.bkf, the user could specify \\iggy-multi\d$\backup.bkf as the backup destination).


Command line parameters

You can perform backup operations at the command prompt or from a batch file using the ntbackup command followed by various parameters.

Syntax:

ntbackup backup [systemstate] "bks file name" /J {"job name"} [/P {"pool name"}] [/G {"guid name"}] [/T { "tape name"}] [/N {"media name"}] [/F {"file name"}] [/D {"set description"}] [/DS {"server name"}] [/IS {"server name"}] [/A] [/V:{yes|no}] [/R:{yes|no}] [/L:{f|s|n}] [/M {backup type}] [/RS:{yes|no}] [/HC:{on|off}] [/UM]

Parameters:

systemstate

Specifies that you want to back up the System State data. When you back up the System State data, all of the System State data is backed up, therefore, the /s switch does not apply. Also, the backup type will be forced to normal or copy.

bks file name

Specifies the name of the backup selection file (.bks file) to be used for this backup operation. A backup selection file contains information on the files and folders you have selected for backup. You have to create the file using the graphical user interface (GUI) version of Backup.

/J {"job name"}

Specifies the job name to be used in the log file. The job name usually describes the files and folders you are backing up in the current backup job as well as the date and time you backed up the files.

/P {"pool name"}

Specifies the media pool from which you want to use media. This is usually a subpool of the Backup media pool, such as 4mm DDS. If you select this you must not use the following switches: /A /G /F /T.

/G {"guid name"}

Overwrites or appends to this tape. Do not use this switch in conjunction with /P.

/T {"tape name"}

Overwrites or appends to this tape. Do not use this switch in conjunction with /P.

/N {"media name"}

Specifies the new tape name. You must not use /A with this switch.

/F {"file name"}

Logical disk path and file name. You must not use the following switches with this switch: /P /G /T.

/D {"set description"}

Specifies a label for each backup set.

/DS {"server name"}

Backs up the directory service file for the specified Microsoft Exchange Server.

/IS {"server name"}

Backs up the Information Store file for the specified Microsoft Exchange Server.

/A

Performs an append operation. Either /G or /T must be used in conjunction with this switch. Do not use this switch in conjunction with /P.

/V:{yes|no}

Verifies the data after the backup is complete.

/R:{yes|no}

Restricts access to this tape to the owner or members of the Administrators group.

/L:{f|s|n}

Specifies the type of log file: f=full, s=summary, n=none (no log file is created).

/M {backup type}

Specifies the backup type. It must be one of the following: normal, copy, differential, incremental, or daily.

/RS:{yes|no}

Backs up the Removable Storage database.

/HC:{on|off}

Uses hardware compression, if available, on the tape drive.

/UM

Finds the first available media, formats it, and uses it for the current backup operation. You must use the /P switch to designate a device-type media pool when you use the /UM switch so that Backup searches for the appropriate type of media (for example, 4mm DDS). When you use the /UM switch, Backup will search the following media pools for available media: Free pool, Import pool, Unrecognized pool, and Backup pool. When available media is found, the search will stop and the media will be formatted and used without prompting you for input. This command is not applicable to tape loaders and should only be used if you have a stand-alone tape device.

Notes

  • You cannot restore files from the command line using the ntbackup command.
  • The following switches will default to what you have already set using the graphical user interface (GUI) version of Backup unless they are changed by a command line switch: /V /R /L /M /RS /HC. For example, if hardware compression is turned on in the Options dialog box in Backup, it will be used if /HC is not specified on the command line. But if /HC:off is specified on the command line, it will override the Option dialog box setting and compression will not be used.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • If you are using Removable Storage to manage media, or you are using the Remote Storage to store data, then you should regularly back up the files that are in the following folders:

    Systemroot\System32\Ntmsdata

    Systemroot\System32\Remotestorage

    This will ensure that all Removable Storage and Remote Storage data can be restored.


Restoring files and folders

The following four steps describe a simple restore operation:

Select files and folders you want to restore

Backup provides you with a tree view of the files and folders that you have backed up, which you can use to select the files and folders that you want to restore. You can use this tree view the same way you use Windows Explorer to open drives and folders and select files.

Select where to restore your backed-up files and folders

Backup allows you to select one of three destinations for your restored files:

You can restore your backed-up data to the original folder or folders the data was in when you backed it up. This option is useful if you are restoring files and folders that have been damaged or lost.

You can restore your backed-up data to an alternate folder. If you select this option, the structure of the backed-up folders and files is retained in the alternate folder. This option is useful if you know you will need some old files, but you don't want to overwrite or change any of the current files or folders on your disk.

You can restore your backed-up files to a single folder. This option does not retain the structure of the backed-up folders and files. Only the backed-up files are placed in the single folder. This option is useful if you are searching for a file and you don't know its location.

Set restore options

Backup provides a Restore tab in the Options dialog box that lets you select how you want your files and folders restored. You must select one of three options:

  • Do not replace file on my computer. This will prevent files from being overwritten on your hard disk. This is the safest method of restoring files.

  • Replace the file on disk only if the file on disk is older. If you have changed any files since you last backed up your data, this will ensure that you don't lose the changes you have made to the files.

  • Always replace the file on my disk. This will replace all of the files on your hard disk with the files in your backup set. If you have made any changes to files since you last backed up your data, this option will erase those changes.

Start the restore operation

When you start a restore operation, Backup will ask you to confirm that you are ready to restore data. You will also have the opportunity to set advanced restore options, including whether you want to restore security settings, the Removable Storage database, and junction point data.

Important

  • You can use Backup to back up and restore data on either FAT or NTFS volumes. However, if you have backed up data from an NTFS volume used in Windows 2000, it is recommended that you restore the data to an NTFS volume used in Windows 2000, or you could lose data as well as some file and folder features. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in Windows 2000 and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information on permissions or user rights, see Related Topics.
  • The registry, the Active Directory directory service, and other key system components are contained in the System State data. You must back up the System State data if you want to back up and restore these components.
  • If you restore the System State data, and you do not designate an alternate location for the restored data, Backup will erase the System State data that is currently on your computer and replace it with the System State data you are restoring. Also, if you restore the System State data to an alternate location, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database, and COM+ Class Registration database are not restored if you designate an alternate location.
  • In order to restore the System State data on a domain controller, you must first start your computer in Directory Services Restore Mode. This will allow you to restore the SYSVOL directory and the Active Directory.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.
  • Administrators and Backup Operators can restore encrypted files and folders without decrypting the files or folders.


Restoring a domain controller

If a domain has more than one domain controller, you can restore it in two ways. You can either restore Active Directory using replication with another domain controller, or restore Active Directory from backup media. If there are no domain controllers in the domain, then you can only restore Active Directory from backup media.

If possible, repair the system using the Emergency Repair Disk (ERD), and then continue with either of the next two steps.

If the system cannot be repaired using the ERD, or if you have suffered a major hardware malfunction and have had to totally rebuild the computer, you need to reinstall Windows 2000. Make sure the number and size of disk volumes is the same or larger than the previous system, and then proceed with either of the next two steps.

Restoring Active Directory from Backup media

Use Backup to restore the System State, which will recover Active Directory, File Replication Service (including Sysvol) and Certificate Services (if installed). If the domain controller computer has been replaced because of malfunction or the network adapters have been replaced, you might need to reconfigure the network settings manually.

For procedures on how to restore the system state, see To restore System State data.

To restore the System State data on a domain controller, you must first start your computer in directory services restore mode. Using this mode, you can restore the Sysvol directory and Active Directory. To restart your computer in safe mode, follow the instructions in To use safe mode and other startup options, and click Directory Service Restore Mode.

You can back up and restore the System State data only on a local computer, not a remote computer.

Restoring Active Directory with a replica

Use the Active Directory Installation wizard to reinstall Active Directory, promoting the server to a domain controller. Active Directory and Sysvol will be brought up-to-date through replication from a domain controller. Before you run the Active Directory Installation wizard, delete any references to the old domain controller using the Sites and Services snap-in.

Notes

  • You must be an administrator or a backup operator to back up files and folders.
  • The registry, Active Directory, and other key system components are contained in the System State data. You must back up the System State data if you want to back up and restore these components.
  • If you restore the System State data and you do not designate an alternate location for the restored data, Backup erases the System State data that is currently on your computer and replaces it with the System State data you are restoring. Also, if you restore the System State data to an alternate location, only the registry files, Sysvol, directory files, and system boot files are restored to the alternate location. The Active Directory database, the Certificate Services database, and the Component Services database are not restored if you designate an alternate location.
  • Administrators and backup operators can restore encrypted files and folders without decrypting the files or folders.


Resources

  • Windows 2000 Server family at Microsoft Windows.(http://www.microsoft.com/)
  • Hardware compatibility list at the Microsoft Web site.(http://www.microsoft.com/)
  • Microsoft TechNet at Microsoft TechNet.(http://www.microsoft.com/)
  • Microsoft TechNet compact disks.
  • Microsoft support at the Microsoft Web site.(http://www.microsoft.com/)
  • Getting Started for Windows 2000 Server.
  • Windows 2000 Server Resource Kit.
  • Windows 2000 Server Registry.
  • Updated technical information.


Troubleshooting

What problem are you having?

The system will not start.

Cause: One of several problems could be preventing you from starting your computer. These include problems with your registry, system files, partition boot sector, and startup environment. However, you cannot repair your system unless you have created an Emergency Repair Disk (ERD), which you can do in the Backup utility.

Solution: You can use the Windows 2000 repair feature to fix these problems.

The following steps provide a general overview of the repair process:

  1. Start your computer from the Windows 2000 Setup disks or the CD.
  2. Choose the repair option during setup.

    After Setup finishes copying files from the last Setup disk, you begin the text-based Windows 2000 installation process. During this process, you can choose whether you want to install a fresh version of Windows 2000, or whether you want to repair or recover an existing installation of Windows 2000. To repair a damaged or corrupted system, you should select the repair option.

  3. Choose the type of repair.

    You can choose either the fast repair option, which is the easiest and does not require any user interaction, or you can choose the manual repair option, which requires user interaction. The fast repair option attempts to repair problems related to the registry, system files, the partition boot sector on your boot volume, and your startup environment (if you have a dual-boot or multiple-boot system). Using the manual repair option, you can choose whether you want to repair system files, partition boot sector problems, and startup environment problems, but you cannot repair problems with your registry. For example, using the manual repair option, you can attempt to repair your system files if you know that your partition boot sector and your startup environment are both intact.

  4. Start the repair process.

    To start the repair process, you need the 1.44-megabyte (MB) ERD that you created in the Backup utility, and the original Windows 2000 installation CD. During the repair process, missing or corrupted files are replaced with files either from the Windows 2000 CD or the systemroot\repair directory, which means any changes you made to the system after you originally installed Windows 2000 or since you last created an ERD could be lost.

  5. Restart your computer.

    If the repair process was successful, you are prompted to restart your computer. You should then have a working system.

Important

  • When you create an ERD, information about your current system settings is saved in the systemroot\repair folder. If you delete or change this folder, you might not be able to repair problems with your system.

Notes

  • The manual repair option should be used only by advanced users or administrators.
  • The fast repair option repairs a registry file only if the file is missing or corrupted.


Troubleshooting

  • Repair a system that will not start